@charset "UTF-8";

body {
    font-family: 'Inter', sans-serif;
    font-size: clamp(1rem, 1vw, 2rem);
    color: black;
}
.sidebar {
    position: fixed;
    background: rgb(255, 255, 255);
    text-align: center;
    width: 18vw;
    height: 100vh;
    z-index: 999;
    top: 0;
    border-right: 0.5vh solid #606060;
}
h1 {
    padding-top: 10vh;
}
h2 {
    font-family: 'Italianno', cursive;
    font-size: clamp(1rem, 3vw, 2rem);
    padding: 3vh 0;
}
.icon_box {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    padding: 3vh 0 8vh 0;
}
.icon_box img:hover {
    opacity: 0.5;
 }
li {
    font-size: clamp(1rem, 1.5vw, 2rem);
    padding-bottom: 6vh;
}
li a:hover{
    text-decoration: underline;
}
.hamburger-box {
    display: none;
    z-index: 30;
}
/*ここからメイン*/
.main_area {
    margin-left: 18vw;
}
h3 {
    display: block;
    font-size: clamp(1rem, 3vw, 2rem);
    text-decoration: underline;
    padding-left: 8vw;
    padding-top: 8vh;
}
h4 {
    padding-top: 5vh;
    font-size: clamp(1rem, 13vw, 10rem);
    font-family: 'Italianno', cursive;
    text-align: center;
}
.about_flex {
    display: flex;
    justify-content: space-evenly;
    margin-bottom: 8vh;
}
.about_slider {
    border-right: 2px solid #000000; /*線の設定*/
    padding: 0 9%; /*余白の設定*/
}
.slide {
    position: relative;
    overflow: hidden;
    width: 300px;
    height: 400px;
    margin: auto;
    background: #fff;
}
.slide img {
    display: block;
    position: absolute;
    width: inherit;
    height: inherit;
    left: 100%;
    animation: slide-anime 20s ease infinite;
    object-fit: cover;
    border: 6px solid #BDBDBD;
}
.slide img:nth-of-type(1) {animation-delay: 0s;}
.slide img:nth-of-type(2) {animation-delay: 4s;}
.slide img:nth-of-type(3) {animation-delay: 8s;}
.slide img:nth-of-type(4) {animation-delay: 12s;}
.slide img:nth-of-type(5) {animation-delay: 16s;}
   
@keyframes slide-anime{
    0% {left: 100%;}
    2% {left: 0;}
    18% {left: 0;}
    20% {left: -100%;}
    100% {left: -100%;}
}
.career {
    line-height: 4vh;
    align-self: center;
}
.Bevan {
    font-family: 'Bevan', serif;
}
.about_irai {
    width: 50vw;
    text-align: center;
    line-height: 4vh;
    background-color: #FFF3EF;
    padding: 1%;
    margin: 0 auto 10vh;
}
#copy-text {
    text-align: center;
}
small {
    color: #000;
    text-align: center;
    font-family: 'BIZ UDPMincho', serif;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}
/*ここからタブレット用CSS*/
@media only screen and (min-width: 601px) and (max-width: 1024px) {
    .sidebar {
        display: none;
    }
    /*ハンバーガーメニュー*/
    .hamburger-box {
        position: relative;
        display: block;
        z-index: 999;
    }
    .hamburger-menu {
        position: absolute;
        top: 25px;
        left: 35px;
        z-index: 9999;
    }
    .hamburger-menu span {
        display: block;
        transition: all .3s ease-in-out;
        -webkit-transition: all .3s ease-in-out;
        -ms-transition: all .3s ease-in-out;
        -moz-transition: all .3s ease-in-out;
        width: 30px;
        height: 3px;
        border-radius: 2px;
        background-color: rgb(0, 0, 0);
        margin: 8px auto;
        z-index: 9999;
    }
    .hamburger-menu.active span:nth-of-type(1) {
        opacity: 0;
        transform: translateX(-100%);
        -webkit-transform: translateX(-100%);
        -ms-transform: translateX(-100%);
        -moz-transform: translateX(-100%);
    }
    .hamburger-menu.active span:nth-of-type(3){
        opacity: 0;
        transform: translateX(100%);
        -webkit-transform: translateX(100%);
        -ms-transform: translateX(100%);
        -moz-transform: translateX(100%);
    }
    .g-nav{
        position:fixed;
        z-index: 999;
        top:0;
        left: -120%;
        width:100%;
        height: 100vh;
        background-image: url(../img/work/work1.jpg);
        background-size: cover;
        transition: all .6s ease-in-out;
        -webkit-transition: all .6s ease-in-out;
        -ms-transition: all .6s ease-in-out;
        -moz-transition: all .6s ease-in-out;
    }
    .g-nav.panelactive{
        left: 0;
    }
    .g-nav ul {
        position: absolute;
        z-index: 999;
        top:50%;
        left:50%;
        transform: translate(-50%,-50%);
        -webkit-transform: translate(-50%,-50%);
        -ms-transform: translate(-50%,-50%);
        -moz-transform: translate(-50%,-50%);
    }
    .g-nav li{
        list-style: none;
        text-align: center;
    }
    .g-nav li a{
        color: rgb(51, 51, 51);
        text-decoration: none;
        padding:10px;
        display: block;
        text-transform: uppercase;
        -webkit-text-transform: uppercase;
        -ms-text-transform: uppercase;
        -moz-text-transform: uppercase;
        letter-spacing: 0.1em;
        font-weight: bold;
    }
    .main_area {
        margin: 0;
    }
    h3 {
        text-align: center;
        padding: 5% 5%;
        font-size: clamp(1rem, 5vw, 2rem);
    }
    h4 {
        padding: 5vh 0;
    }
    .about_flex {
        display: block;
    }
    .about_slider {
        display: none;
    }
    .career {
        padding: 0 18vw;
        line-height: 3vh;
    }
    .about_irai {
        width: 90%;
        line-height: 3vh;
    }
}
/*ここからスマホ用CSS*/
@media only screen and (max-width: 600px) {
    .sidebar {
        display: none;
    }
    /*ハンバーガーメニュー*/
    .hamburger-box {
        position: relative;
        display: block;
        z-index: 999;
    }
    .hamburger-menu {
        position: absolute;
        top: 25px;
        left: 35px;
        z-index: 9999;
    }
    .hamburger-menu span {
        display: block;
        transition: all .3s ease-in-out;
        -webkit-transition: all .3s ease-in-out;
        -ms-transition: all .3s ease-in-out;
        -moz-transition: all .3s ease-in-out;
        width: 30px;
        height: 3px;
        border-radius: 2px;
        background-color: rgb(0, 0, 0);
        margin: 8px auto;
        z-index: 9999;
    }
    .hamburger-menu.active span:nth-of-type(1) {
        opacity: 0;
        transform: translateX(-100%);
        -webkit-transform: translateX(-100%);
        -ms-transform: translateX(-100%);
        -moz-transform: translateX(-100%);
    }
    .hamburger-menu.active span:nth-of-type(3){
        opacity: 0;
        transform: translateX(100%);
        -webkit-transform: translateX(100%);
        -ms-transform: translateX(100%);
        -moz-transform: translateX(100%);
    }
    .g-nav{
        position:fixed;
        z-index: 999;
        top:0;
        left: -120%;
        width:100%;
        height: 100vh;
        background-image: url(../img/work/work1.jpg);
        background-size: cover;
        transition: all .6s ease-in-out;
        -webkit-transition: all .6s ease-in-out;
        -ms-transition: all .6s ease-in-out;
        -moz-transition: all .6s ease-in-out;
    }
    .g-nav.panelactive{
        left: 0;
    }
    .g-nav ul {
        position: absolute;
        z-index: 999;
        top:50%;
        left:50%;
        transform: translate(-50%,-50%);
        -webkit-transform: translate(-50%,-50%);
        -ms-transform: translate(-50%,-50%);
        -moz-transform: translate(-50%,-50%);
    }
    .g-nav li{
        list-style: none;
        text-align: center;
    }
    .g-nav li a{
        color: rgb(51, 51, 51);
        text-decoration: none;
        padding:10px;
        display: block;
        text-transform: uppercase;
        -webkit-text-transform: uppercase;
        -ms-text-transform: uppercase;
        -moz-text-transform: uppercase;
        letter-spacing: 0.1em;
        font-weight: bold;
    }
    .main_area {
        margin: 0;
    }
    h3 {
        text-align: center;
        padding: 5% 5%;
        font-size: clamp(1rem, 5vw, 2rem);
    }
    h4 {
        padding: 5vh 0;
    }
    .about_flex {
        display: block;
    }
    .about_slider {
        display: none;
    }
    .career {
        padding: 0 5%;
        line-height: 3vh;
    }
    .about_irai {
        width: 90%;
        line-height: 3vh;
    }
}